# PacketReader (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.sftp
Class PacketReader

    java.lang.Object
      java.lang.Thread
          net.schmizz.sshj.sftp.PacketReader

All Implemented Interfaces:
  Runnable

    public class PacketReader

extends Thread

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`PacketReader(SFTPEngine engine)`

Method Summary
`void` `expectResponseTo(Request req)`
`void` `handle()`
`SFTPPacket<Response>` `readPacket()`
`void` `run()`

Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PacketReader

    public PacketReader(SFTPEngine engine)

Method Detail

### readPacket

    public SFTPPacket<Response> readPacket()
                                    throws IOException

  Throws:
    `IOException`

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`

### handle

    public void handle()
                throws SFTPException

  Throws:
    `SFTPException`

### expectResponseTo

    public void expectResponseTo(Request req)

Copyright © 2009-2011. All Rights Reserved.